#lang racket/base

(require "../main.rkt")

(require racket/match)
(require racket/set)
(require racket/pretty)

(require rackunit)

(define P #<<ENDDOC
{
    key: value
    # example of a comment at the end of a dictionary
}
# example of a comment at the end of the input file
ENDDOC
  )

(parameterize ((pretty-print-columns 80)) (write-pexpr (string->pexprs P #:read-syntax? #t)) (newline))
(parameterize ((pretty-print-columns 10)) (write-pexpr (string->pexprs P #:read-syntax? #t)) (newline))
